const Map<String, String> en_US = {
  'hello': 'Hallo 建工建设',
  'appName': '建工建设',
  'copy_right': '@ %s %s All right reserved.',
  'alert': 'Prompt',
  'success': 'Success',
  'error': 'Error',
  'cancel': 'Cancel',
  'confirm': 'Confirm',
  'connect_o2_server_fail_go_to_sample': 'Failed to connect to the server, please check the current server configuration.',
  'sample_server_name': 'Server',
  'request_error': 'Request Error',
  'args_error': 'Parameter Error',
  'loading': 'Loading...',
  'no_more_data': 'No more data!',
  'empty_data': 'Empty!',
  'edit': 'Edit',
  'delete': 'Delete',
  'save': 'Save',
  'create': 'Create',
  'positive': 'OK',
  'open': 'Open',
  'take_photo': 'Take a Photo',
  'pick_file': 'Files',
  'album': 'Album',
  'user_agreement': 'User Agreement',
  'privacy_policy': 'Privacy Policy',
  'user_agreement_book_mark': 'User Agreement',
  'privacy_policy_book_mark': 'Privacy Policy',
  'privacy_policy_dialog_title': 'User Agreement and Privacy Policy',
  'privacy_policy_dialog_content_part1': 'You need to agree ',
  'privacy_policy_dialog_content_part2': ' and ',
  'privacy_policy_dialog_content_part3': ' Only can be used. If you do not agree, unfortunately we cannot provide you with services. You can read the complete version to learn more detailed information.',
  'privacy_policy_bind_content_part1': 'I have read and agree to the ',
  'privacy_policy_bind_disagree_alert': 'You must agree to our product service agreement before you can register and use this product!',
  'agree': 'Agree',
  'disagree': 'Disagree',
  'deny_root': 'Currently in the Root environment, app usage is prohibited!',
  'common_double_click_quit': 'Press the back key again to exit the application',
  'common_error_url': 'Cannot open address: %s',
  'common_error_open_other_app': 'Unable to open the corresponding address: %s',
  'common_week_sunday': 'Sunday',
  'common_week_monday': 'Monday',
  'common_week_tuesday': 'Tuesday',
  'common_week_wednesday': 'Wednesday',
  'common_week_thursday': 'Thursday',
  'common_week_friday': 'Friday',
  'common_week_saturday': 'Saturday',
  'common_debugger_open': 'Webview Debugger Mode Open',
  'common_debugger_close': 'Webview Debugger Mode Close',
  'common_app_update_chenck': 'App Check Version',
  'common_app_update_check_switch': 'Automatically check for updates',
  'common_app_update_content_begin': 'Version %s update %s',
  'common_app_update_positive_name': 'Update',
  'common_app_update_install_permission_confirm': 'Updating the app requires installing from unknown sources. Go to settings?',
  'common_app_update_not_today_button': 'Later',
  'common_app_update_download_start_alert': 'Start downloading the app update package in the background. Please do not close the app!',
  'common_app_update_no_new_version': 'It is already the latest version, no update required!',
  'common_open_with_default_browser': 'Default Browser Open',
  'common_delete_success': 'Successfully deleted!',
  'common_webview_copy_link': 'Copy Link',
  'home_tab_index': 'Home',
  'home_tab_im': 'Messages',
  'home_tab_contact': 'Contacts',
  'home_tab_apps': 'Apps',
  'home_tab_settings': 'Settings',
  'splash_getReady': 'Preparing',
  'splash_nobind_go': 'No binding information, go to bind!',
  'splash_connecting': 'Connecting to the server',
  'splash_connect_fail': 'Failed to connect to the server!',
  'splash_connect_fail_check_config': 'Failed to connect to the server. Please check the configuration information!',
  'splash_logining': 'Logging in',
  'login': 'Login',
  'login_form_user_name': 'Username or Mobile Number',
  'login_form_user_name_not_empty': 'Username cannot be empty',
  'login_form_user_password': 'Password',
  'login_form_user_password_not_empty': 'Password cannot be empty',
  'login_form_user_code': 'Verification Code',
  'login_form_user_code_not_empty': 'Verification code cannot be empty',
  'login_form_code_btn_send': 'Send Code',
  'login_form_change_login_mode_password': 'Password Login',
  'login_form_change_login_mode_code': 'Code Login',
  'login_form_rebind': 'Rebind',
  'login_form_rebind_confirm_message': 'Are you sure you want to rebind your mobile phone number?',
  'login_form_demo_get_demo_accounts': 'Obtain the experience account password',
  'login_form_demo_choose_demo_server': 'Select Access Environment',
  'login_form_demo_no_server_list': 'The list of experience environment servers is empty!',
  'login_form_demo_no_account_list': 'Unable to obtain an experience account. You can consult the official website to obtain it!',
  'bind': 'Bind',
  'bind_validate_mobile_phone': 'Verify Mobile Phone',
  'bind_choose_unit': 'Choose the organization to bind',
  'bind_enter_mobile_phone': 'Enter mobile phone number',
  'bind_mobile_phone_not_empty': 'Mobile phone number cannot be empty',
  'bind_enter_validate_code': 'Verification Code',
  'bind_validate_code_not_empty': 'Verification code cannot be empty',
  'bind_privacy': 'Privacy Policy',
  'bind_next_step': 'Next',
  'bind_mobile_error_message': 'Please enter a correct mobile phone number!',
  'bind_send_code_success': 'Verification code sent successfully. Please check!',
  'bind_send_code_fail': 'Failed to send SMS!',
  'bind_code_error_message': 'Please enter the correct verification code!',
  'bind_deviceId_error_message': 'Failed to obtain the device ID. Please confirm whether the device permission is enabled!',
  'bind_phone_no_bind_message': 'The current mobile phone number is not bound to a server. ',
  'bind_no_device_message': 'Failed to obtain the current device number. Unable to bind!',
  'bind_loading': 'Binding...',
  'notfound_message': 'Route not found',
  'notfound_back_home': 'Back to Home',
  'settings_account_safe': 'Account and Security',
  'settings_skin_change': 'Appearance',
  'settings_notification': 'Message Notification',
  'settings_clear_cache': 'Clear Cache',
  'settings_logs': 'Diagnostic Logs',
  'settings_about': 'About',
  'settings_logout': 'Log Out',
  'settings_logout_confirm_message': 'Are you sure you want to log out?',
  'settings_clear_cache_clear_success': 'Cache cleared successfully!',
  'settings_clear_cache_clear_confirm_msg': 'Detected cache size is %s. Do you want to clear it now?',
  'settings_common': 'Common',
  'settings_common_change_language': 'Switch language',
  'settings_skin_with_system': 'Follow System Appearance',
  'settings_skin_light': 'Light',
  'settings_skin_dark': 'Dark',
  'settings_skin_color_blue': 'Blue',
  'settings_skin_color_red': 'Red',
  'settings_skin_color_orange': 'Orange',
  'settings_skin_color_green': 'Green',
  'settings_skin_color_cyan': 'Cyan',
  'settings_skin_color_purple': 'Purple',
  'settings_skin_color_darkgreen': 'DarkGreen',
  'settings_skin_color_tan': 'Tan',
  'settings_skin_color_navy': 'Navy',
  'settings_skin_color_gray': 'Gray',
  'settings_about_version': 'Version %s',
  'my_profile_title': 'My Information',
  'my_profile_email': 'Email Address',
  'my_profile_avatar': 'Avatar',
  'my_profile_name': 'Name',
  'my_profile_unique': 'Unique Code',
  'my_profile_employee': 'Employee ID',
  'my_profile_superiorName': 'Reporting Manager',
  'my_profile_mobile': 'Mobile Number',
  'my_profile_office_phone': 'Office Phone',
  'my_profile_signature': 'Signature',
  'my_profile_avatar_edit': 'Edit Avatar',
  'my_profile_avatar_not_desktop': 'Avatar modification is not supported on the desktop',
  'edit_avatar_no_file': 'Image not loaded',
  'input_form_placeholder': 'Please enter %s',
  'account_safe_server_name': 'Server Address',
  'account_safe_login_name': 'Login Account',
  'account_safe_login_pwd_label': 'Login Password',
  'account_safe_login_pwd_update': 'Change Password',
  'account_safe_mobile_change': 'Change Mobile Number',
  'account_safe_old_pwd': 'Old Password',
  'account_safe_old_pwd_not_empty': 'Old password cannot be empty!',
  'account_safe_new_pwd': 'New Password',
  'account_safe_new_pwd_not_empty': 'New password cannot be empty!',
  'account_safe_new_pwd_repeat': 'Confirm New Password',
  'account_safe_new_pwd_repeat_not_empty': 'Confirm new password cannot be empty!',
  'account_safe_new_pwd_repeat_not_equal': 'The new passwords entered do not match!',
  'account_safe_update_pwd_success': 'Updated successfully!',
  'account_safe_empower': 'Out-of-office Authorization',
  'account_safe_empower_create': 'Create Out-of-office Authorization',
  'account_safe_empower_my': 'My Delegation',
  'account_safe_empower_to_me': 'Recv Delegations',
  'account_safe_empower_type_all': 'All',
  'account_safe_empower_type_app': 'Apps',
  'account_safe_empower_type_process': 'Processes',
  'account_safe_empower_form_to_person': 'Delegator',
  'account_safe_empower_form_start_time': 'Start Time',
  'account_safe_empower_form_end_time': 'End Time',
  'account_safe_empower_form_empty_identity': 'Please select the current identity to delegate!',
  'account_safe_empower_form_empty_to_person': 'Please select the delegator!',
  'account_safe_empower_form_empty_start_time': 'Please select the start time!',
  'account_safe_empower_form_empty_end_time': 'Please select the end time!',
  'account_safe_empower_form_start_end_time_over': 'Start time cannot be later than end time!',
  'account_safe_empower_form_empty_app': 'Please select the delegated app!',
  'account_safe_empower_form_empty_process': 'Please select the delegated process!',
  'account_safe_empower_delete_confirm_message': 'Are you sure you want to delete this delegation?',
  'process_work_download_file_no_path': 'Exception, failed to request attachment!',
  'process_work_download_get_attachmentinfo_fail': 'Failed to request attachment object!',
  'process_work_no_title': '%s - No Title',
  'process_work_no_title_no_process': 'No Title',
  'process_work_completed_tag': 'Completed',
  'process_picker_title': 'Select Process',
  'process_picker_app_no_categroy': 'Uncategorized',
  'process_create_title': 'Start Process',
  'process_create_work_no_args': 'Incorrect parameters, unable to start process!',
  'process_office_center_search_placeholder': 'Please enter keywords!',
  'process_taskcompleted_detail_title': 'Completed Details:',
  'process_read_detail_title': 'Pending Reading Details:',
  'process_readcompleted_detail_title': 'Read Details:',
  'process_work_go_to_activity': 'File transferred to: [%s]',
  'process_job_not_found': 'No corresponding work found!',
  'process_no_identity': 'No identity information!',
  'process_attachment_upload_error': 'There was an error uploading attachments, %s attachments failed to upload!',
  'preview_file_title': 'File Preview',
  'preview_file_path_not_empty': 'File path cannot be empty!',
  'preview_file_file_name_not_empty': 'File name cannot be empty!',
  'preview_file_not_support_file_type': 'Cannot preview the current file!',
  'preview_image_title': 'Image Preview',
  'scan_no_camera_permission': 'Camera permission not granted. Please enable it in the application settings and try again!',
  'scan_result_empty': 'No scan results!',
  'scan_login_to_pc': 'Scan to Login',
  'scan_login_to_pc_msg': 'Logging in to the computer',
  'scan_login_to_pc_confirm': 'Confirm Login',
  'scan_login_to_pc_alert_msg': 'Login successful!',
  'scan_meeting_check_alert_msg': 'Meeting check-in successful!',
  'home_index_search_placeholder': 'Enter search keyword',
  'home_index_cms_center': 'Information Center',
  'home_index_task_center': 'Office Center',
  'home_index_more_apps': 'More',
  'search_delete_all_history': 'Delete All History',
  'im_time_minute_before': 'minutes ago',
  'im_time_hour_before': 'hours ago',
  'im_time_days_before': 'days ago',
  'im_time_one_month_before': 'one month ago',
  'im_time_two_month_before': '2 months ago',
  'im_time_yesterday': 'Yesterday',
  'im_time_before_yesterday': 'Before Yesterday',
  'im_time_three_days_ago': '3 days ago',
  'im_instant_msg_title': 'Notification Messages',
  'im_instant_msg_detail_btn_title': 'Details',
  'im_start_single': 'Start Chat',
  'im_action_single': 'IOOC',
  'im_action_group': 'IGC',
  'im_chat_input_hint': 'Enter message...',
  'im_chat_tools_album': 'Album',
  'im_chat_tools_take_photo': 'Take Photo',
  'im_chat_tools_file': 'File',
  'im_chat_tools_location': 'Location',
  'im_chat_tools_voice': 'Hold to Talk',
  'im_chat_action_menu_report': 'Report',
  'im_chat_action_menu_show_group_info': 'Group information',
  'im_chat_action_menu_update_group_title': 'Change Group Name',
  'im_chat_action_menu_update_group_title_hint': 'Enter group name',
  'im_chat_action_menu_update_group_members': 'Change Members',
  'im_chat_action_menu_clear_all_message': 'Clear Chat History',
  'im_chat_action_menu_delete_conversation': 'Delete Chat',
  'im_chat_confirm_clear_all_message': 'Are you sure you want to clear all chat messages in this group?',
  'im_chat_action_menu_report_form_reason': 'Report Reason',
  'im_chat_action_menu_report_form_desc': 'Description',
  'im_chat_menu_revoke': 'Revoke',
  'im_chat_menu_revoke_members': 'Revoke Member Messages',
  'im_chat_menu_copy': 'Copy',
  'im_chat_group_member_title': 'Manage Members',
  'im_chat_group_member_add': 'Add',
  'im_chat_group_info_title': 'Group information',
  'im_chat_group_info_label_name': 'Group name: ',
  'im_chat_group_info_label_admin': 'Group administrator: ',
  'im_chat_group_info_label_member': 'Group members: ',
  'im_chat_error_unknown_file': 'Error, invalid file!',
  'im_chat_error_download_file': 'Error, failed to download file!',
  'im_chat_error_upload_fail': 'Failed to upload file!',
  'im_chat_error_preview_file_fail': 'Cannot preview file, system exception!',
  'im_chat_error_need_record_permission': 'Recording permission is required to continue!',
  'im_chat_error_record_not_init': 'Recording initialization not completed, unable to record!',
  'im_chat_error_record_time_too_short': 'Recording time is too short!',
  'im_chat_error_revoke': 'Revoke failed!',
  'im_chat_success_copy': 'Copied successfully!',
  'im_chat_success_revoke': 'Revoked successfully!',
  'im_chat_error_update_group_title_not_empty': 'Group name cannot be empty!',
  'im_chat_success_update_group_title': 'Group name updated successfully!',
  'im_chat_success_update_group_members': 'Members updated successfully!',
  'im_chat_success_clear_all_messages': 'Chat messages cleared successfully!',
  'im_chat_error_conversation_delete': 'The current conversation has been deleted!',
  'im_chat_confirm_delete_single_conversation': 'Are you sure you want to delete the current session? After deletion, you will not see previous chat records?',
  'im_chat_confirm_delete_group_conversation': 'Are you sure you want to delete the current session? This will dissolve the current group chat and delete the chat record?',
  'im_msg_download_success': 'Download completed. Please check the file in the system "Downloads" directory!',
  'im_msg_create_conversation_not_with_self': 'Cannot create a conversation with yourself!',
  'im_chat_msg_type_emoji': '[Emoji]',
  'im_chat_msg_type_image': '[Picture]',
  'im_chat_msg_type_audio': '[Audio]',
  'im_chat_msg_type_location': '[Location]',
  'im_chat_msg_type_file': '[File]',
  'im_chat_msg_type_process': '[Work]',
  'im_chat_msg_type_cms': '[Document]',
  'bmap_title': 'Location',
  'bmap_title_choose': 'Click the map to select a location',
  'bmap_error_no_location': 'No location information provided, unable to open',
  'bmap_error_not_choose_location_yet': 'No location selected, please click the map to choose!',
  'bmap_send_location_btn': 'Send',
  'bmap_open_location_btn': 'Open',
  'bmap_open_menu_amap': 'Amap',
  'bmap_open_menu_bmap': 'Baidu Map',
  'bmap_open_menu_tmap': 'Tencent Map',
  'bmap_open_menu_iosmap': 'Maps',
  'bmap_open_amap_nofound': 'Amap not detected!',
  'bmap_open_tmap_nofound': 'Tencent Map not detected!',
  'bmap_open_bmap_nofound': 'Baidu Map not detected!',
  'bmap_open_iosmap_nofound': 'Failed to open Maps!',
  'contact_picker_title': 'Picker',
  'contact_picker_group': 'Group Selection',
  'contact_picker_org': 'Organization Selection',
  'contact_picker_person': 'Person Selection',
  'contact_picker_identity': 'Identity Selection',
  'contact_picker_btn_title_choose': 'Choose',
  'contact_picker_btn_title_next_level': 'Go to Next Level',
  'contact_picker_msg_more_than_max': 'Exceeded the maximum number limit',
  'contact_picker_identity_title': 'Please select your identity',
  'contact_picker_identity_org_title': 'Organization',
  'contact_picker_identity_duty_title': 'Position',
  'contact_structure': 'Organization Structure',
  'contact_my_department': 'My Department',
  'contact_no_permission': 'No permission!',
  'contact_person_search_placeholder': 'Please enter a name or Pinyin to search',
  'contact_person_info': 'Personal Information',
  'contact_person_info_dept_name': 'Department',
  'app_name_task': 'Tasks',
  'app_name_taskcompleted': 'Completed Tasks',
  'app_name_read': 'Pending Reads',
  'app_name_readcompleted': 'Read Messages',
  'app_name_meeting': 'Meeting Management',
  'app_name_yunpan': 'Enterprise Cloud Storage',
  'app_name_bbs': 'Enterprise Forum',
  'app_name_cms': 'Information Center',
  'app_name_attendance': 'Attendance Clock',
  'app_name_attendance_old': 'Old Attendance',
  'app_name_calendar': 'Schedule',
  'app_name_mindMap': 'Mind Map',
  'app_type_native': 'Native App',
  'app_type_portal': 'Portal App',
  'app_type_my': 'Home App',
  'app_msg_my_app_more': 'Maximum of 4 home apps allowed!',
  'attendance_to_old': 'Enter Old Version',
  'attendance_request_error': 'Request exception, please make sure the service has installed the new attendance!',
  'attendance_tab_checkin': 'Check-in',
  'attendance_tab_statistic': 'Statistics',
  'attendance_tab_settings': 'Settings',
  'attendance_location_loading': 'Locating...',
  'attendance_location_permission_not_allow': 'Location permission not enabled, please go to settings to enable it!',
  'attendance_record_check_time': 'Checked-in',
  'attendance_update_check_time': 'Update',
  'attendance_update_confirm_content': 'Are you sure you want to update this check-in record?',
  'attendance_uncheckin': 'Pending Check-in',
  'attendance_offDuty': 'Off-Duty Check-in',
  'attendance_onDuty': 'On-Duty Check-in',
  'attendance_result_Normal': 'Normal',
  'attendance_result_Early': 'Early Leave',
  'attendance_result_Late': 'Late',
  'attendance_result_SeriousLate': 'Serious Late',
  'attendance_result_Absenteeism': 'Absenteeism',
  'attendance_result_NotSigned': 'Not Checked-in',
  'attendance_result_PreCheckIn': ' ',
  'attendance_result_fieldWork': 'Field Work Check-in',
  'attendance_outside_need_desc': 'Field work check-in requires an explanation!',
  'attendance_checkin_need_location': 'Failed to retrieve your location information. Please make sure the location function is enabled!',
  'attendance_checkin_type_empty': 'Error opening, no check-in type obtained!',
  'attendance_checkin_outside_dialog_title': 'You are currently outside the check-in range. Are you sure you want to perform a field work check-in?',
  'attendance_checkin_outside_not_allow': 'Field work check-in not allowed',
  'attendance_checkin_outside_dialog_hint': 'Please enter a description for field work check-in',
  'attendance_checkin_limit_time_error': 'The current time is not within the check-in range [%s - %s]',
  'attendance_checkin_not_in_workplace_error': 'Not within the range of the check-in point!',
  'attendance_statistic_exception_data': 'Exceptional Check-in Data',
  'attendance_statistic_averageWorkTimeDuration': 'Average Working Hours',
  'attendance_statistic_attendance': 'Attendance Days',
  'attendance_statistic_rest': 'Rest Days',
  'attendance_statistic_leaveDays': 'Leave Days',
  'attendance_statistic_absenteeismDays': 'Absenteeism Days',
  'attendance_statistic_lateTimes': 'Late Times',
  'attendance_statistic_leaveEarlierTimes': 'Early Leave Times',
  'attendance_statistic_absenceTimes': 'Missed Clock-in Times',
  'attendance_statistic_fieldWorkTimes': 'Field Work Times',
  'attendance_statistic_month': '%s Month',
  'attendance_exception_data_title': 'Attendance Exception Data',
  'attendance_appeal_status_init': 'Pending',
  'attendance_appeal_status_processing': 'In Progress',
  'attendance_appeal_status_agree': 'Approved',
  'attendance_appeal_status_disAgree': 'Not Approved',
  'attendance_appeal_status_admin': 'Dealt',
  'attendance_appeal_start_process': 'Start Appeal',
  'attendance_appeal_start_process_content': '%s, Are you sure you want to appeal against this data?',
  'attendance_appeal_open_job': 'View Process',
  'attendance_appeal_reset_status_msg': 'No corresponding process data found. Do you want to restore the status of the current data?',
  'attendance_fast_checkin_notify_title': 'Attendance Notification',
  'attendance_fast_checkin_notify_content': '%s Fast Check-in Successful',
  'cms_document_title': 'Documents',
  'cms_app_no_description': 'No description defined',
  'cms_document_publish': 'Publish',
  'cms_app_category_number': 'Category: %s',
  'cms_category_picker_title': 'Select Category',
  'cms_create_document_title': 'Create Document',
  'cms_create_document_title_label': 'Document Title',
  'cms_create_document_no_args': 'Incorrect parameters, unable to create document!',
  'cms_create_document_title_not_empty': 'Title cannot be empty!',
  'cms_create_document_identity_not_empty': 'Please select an identity first!',
  'cms_app_error': 'Application data does not exist!',
  'cms_document_edit_open': 'Editable',
  'bbs_subject_view': 'Subject',
  'bbs_subject_publish': 'Post',
  'bbs_subject_write_comments': 'Write Reply',
  'bbs_subject_number': 'Subject: %s',
  'bbs_subject_reply_title': 'Reply',
  'bbs_subject_reply_send': 'Send',
  'bbs_subject_reply_hint': 'Enter reply content',
  'bbs_subject_reply_parent_hint': 'Reply to %s:',
  'bbs_subject_reply_image_loading': 'Please wait to send, the image is being uploaded!',
  'bbs_subject_publish_send': 'Post',
  'bbs_subject_publish_title_label': 'Title',
  'bbs_subject_publish_title_not_empty': 'Please enter the post title!',
  'bbs_subject_publish_summary_label': 'Summary',
  'bbs_subject_publish_content_label': 'Content',
  'bbs_subject_publish_content_not_empty': 'Please enter the content of the post!',
  'bbs_subject_publish_anonymous_label': 'Anonymous posting',
  'bbs_subject_publish_success': '发帖成功！',
  'bbs_subject_delete_confirm': '确定要删除这个帖子吗？',
  'mindmap_link': 'Link',
  'mindmap_link_address': 'Link Address',
  'mindmap_link_address_hint': 'Required: Start with http(s):// or ftp(s)://',
  'mindmap_link_address_not_empty': 'Link address cannot be empty!',
  'mindmap_link_address_error': 'Incorrect link address format!',
  'mindmap_link_note': 'Link Text',
  'mindmap_link_note_hint': 'Optional',
  'mindmap_root_folder': 'Root Folder',
  'mindmap_create_btn_name': 'Create',
  'mindmap_msg_name_not_empty': 'Folder name cannot be empty!',
  'mindmap_msg_have_sub_folder': 'Unable to delete, please delete the subfolders and files in the current folder first!',
  'mindmap_msg_have_map_in_folder': 'Unable to delete, please delete all files in the current folder first!',
  'mindmap_msg_confirm_delete_folder': 'Are you sure you want to delete this folder?',
  'mindmap_msg_map_name_not_empty': 'Mind map name cannot be empty!',
  'mindmap_msg_map_save_success': 'Saved successfully!',
  'mindmap_msg_error_load_map_data': 'Error retrieving mind map data!',
  'mindmap_msg_error_no_id': 'ID does not exist, unable to load data!',
  'mindmap_msg_error_null_data': 'Data is empty, cannot be saved!',
  'mindmap_msg_enter_map_name': 'Please enter a mind map name!',
  'mindmap_msg_enter_folder_name': 'Please enter a folder name!',
  'mindmap_msg_confirm_delete_map_node': 'Are you sure you want to delete the current node and all its subnodes?',
  'mindmap_rename_map': 'Rename Mind Map',
  'mindmap_name_label': 'Name',
  'mindmap_map_name_label': 'Mind Map Name',
  'mindmap_msg_confirm_delete_map': 'Are you sure you want to delete this mind map with the name: [%s]?',
  'mindmap_msg_create_under_foler': 'Create under [%s] folder',
  'mindmap_msg_create_map_under_foler': 'Create under [%s] folder',
  'mindmap_delete_btn_name': 'Delete',
  'mindmap_rename_btn_name': 'Rename',
  'mindmap_create_map': 'Create Mind Map',
  'mindmap_create_folder': 'Create Folder',
  'mindmap_bottom_btn_sub_node': 'Subnode',
  'mindmap_bottom_btn_sibling_node': 'Sibling',
  'mindmap_bottom_btn_img_tag': 'Icon',
  'mindmap_bottom_btn_img_tag_priority': 'Priority: ',
  'mindmap_bottom_btn_img_tag_progress': 'Progress: ',
  'mindmap_bottom_btn_image': 'Image',
  'mindmap_bottom_btn_hyperlink': 'Hyperlink',
  'mindmap_bottom_btn_delete_image': 'Delete Image',
  'meeting_accept_list': 'Meeting Invitation',
  'meeting_week_view': 'Week View',
  'meeting_month_view': 'Month View',
  'meeting_status_wait': 'Scheduled',
  'meeting_status_wait_accept': 'Meeting Invitation',
  'meeting_status_processing': 'In Progress',
  'meeting_status_completed': 'Completed',
  'meeting_member_label': 'Attendees: %s',
  'meeting_menu_edit_label': 'Edit Meeting',
  'meeting_menu_delete_label': 'Delete Meeting',
  'meeting_menu_invited_accept_label': 'Accept Invitation',
  'meeting_menu_invited_reject_label': 'Reject Invitation',
  'meeting_menu_view_label': 'Meeting Details',
  'meeting_menu_apply_label': 'Apply for Meeting',
  'meeting_detail_title_label': 'Meeting Title',
  'meeting_detail_title_hint': 'Enter meeting title',
  'meeting_detail_date_label': 'Date',
  'meeting_detail_time_label': 'Meeting Time',
  'meeting_detail_room_label': 'Meeting Room',
  'meeting_detail_type_label': 'Meeting Type',
  'meeting_detail_mode_label': 'Meeting format',
  'meeting_detail_mode_online': 'Online Meeting',
  'meeting_detail_mode_offline': 'Offline meetings',
  'meeting_detail_online_link_label': 'Meeting Link',
  'meeting_detail_online_room_label': 'Meeting number',
  'meeting_detail_host_label': 'Host',
  'meeting_detail_host_unit_label': 'Organizing Department',
  'meeting_detail_describe_label': 'Meeting Description',
  'meeting_detail_describe_hint': 'Enter meeting description',
  'meeting_detail_member_label': 'Participants',
  'meeting_detail_attachment_label': 'Meeting Materials',
  'meeting_detail_pick_start_time_hint': 'Please select the meeting start time!',
  'meeting_detail_pick_complete_time_hint': 'Please select the meeting end time!',
  'meeting_detail_time_smaller_error': 'The meeting end time cannot be earlier than the start time!',
  'meeting_detail_null_object_error': 'Meeting object does not exist!',
  'meeting_room_status_idle': 'Idle',
  'meeting_room_status_busy': 'Booked',
  'meeting_room_status_disable': 'Disabled',
  'meeting_room_floor_label': 'Floor: %s',
  'meeting_room_room_number_label': 'Room: %s',
  'meeting_room_capacity_label': 'Capacity: %s',
  'meeting_room_device_label': 'Meeting Room Equipment: ',
  'meeting_room_not_be_choose': 'The meeting room is occupied or not available, please select another meeting room or time slot!',
  'meeting_form_subject_not_empty': 'Meeting title cannot be empty!',
  'meeting_form_time_not_empty': 'Meeting start and end time cannot be empty!',
  'meeting_form_online_link_hint': 'Please enter the meeting link!',
  'meeting_form_online_room_hint': 'Please enter the meeting number!',
  'meeting_form_room_not_empty': 'Please select a meeting room first!',
  'meeting_form_member_not_empty': 'Please select participants first!',
  'meeting_form_confirm_save_meeting_before_upload': 'Uploading meeting materials requires saving the meeting information first!',
  'meeting_form_confirm_ok_text': 'Save',
  'cloud_disk_type_image': 'Image',
  'cloud_disk_type_document': 'Document',
  'cloud_disk_type_music': 'Music',
  'cloud_disk_type_video': 'Video',
  'cloud_disk_type_other': 'Other',
  'cloud_disk_share': 'Share',
  'cloud_disk_breadcrumb_all': 'All',
  'cloud_disk_buttons_rename': 'Rename',
  'cloud_disk_buttons_delete': 'Delete',
  'cloud_disk_buttons_move': 'Move',
  'cloud_disk_buttons_share': 'Share',
  'cloud_disk_rename_not_empty': 'Rename must enter a name!',
  'cloud_disk_delete_confirm': 'Are you sure you want to delete the selected files?',
  'cloud_disk_folder_picker_title': 'Select Folder',
  'cloud_disk_folder_picker_top': 'Click to select top level',
  'cloud_disk_folder_picker_empty': 'Please select one folder',
  'cloud_disk_action_create_folder': 'Create Folder',
  'cloud_disk_create_folder_not_empty_name': 'Please enter the folder name',
  'cloud_disk_action_upload_file': 'Upload File',
  'cloud_disk_download_file_no_path': 'Exception, unable to request file download!',
  'cloud_disk_share_type_to_me': 'Share with Me',
  'cloud_disk_share_type_my_share': 'My Shares',
  'cloud_disk_share_action_save_to_pan': 'Save to Cloud Drive',
  'cloud_disk_share_action_shield': 'Block',
  'cloud_disk_share_action_cancel_share': 'Cancel Share',
  'cloud_disk_v3_my_file': 'My Files',
  'cloud_disk_v3_enterprise_file': 'Enterprise Files',
  'cloud_disk_v3_personal_zone': 'Personal Files',
  'cloud_disk_v3_inner_zone': 'Shared Workspace',
  'cloud_disk_v3_my_favorite': 'My Favorites',
  'cloud_disk_v3_zone_create': 'Create Workspace',
  'cloud_disk_v3_zone_create_name': 'Workspace Name',
  'cloud_disk_v3_zone_create_name_hint': 'Please enter the workspace name',
  'cloud_disk_v3_zone_create_desc': 'Workspace Description',
  'cloud_disk_v3_zone_create_desc_hint': 'Please enter the workspace description',
  'cloud_disk_v3_action_favorite_cancel': 'Unfavorite',
  'cloud_disk_v3_action_favorite_add': 'Add to Favorites',
  'cloud_disk_v3_action_zone_edit': 'Edit Workspace',
  'cloud_disk_v3_action_zone_delete': 'Delete Workspace',
  'cloud_disk_v3_zone_delete_confirm': 'Are you sure you want to delete the workspace [%s]?',
  'cloud_disk_v3_favorite_delete_confirm': 'Are you sure you want to unfavorite [%s]?',
  'cloud_disk_upload_title': 'Upload progress',
  'cloud_disk_upload_start_msg': 'The file upload has started. After completion, the list will be refreshed, which can be viewed in the [Upload Progress] in the upper right corner!',
  'cloud_disk_upload_completed': 'complete',
  'cloud_disk_save_image_album_btn_title': 'Save to album',
  'cloud_disk_save_image_album_success': 'Successfully saved the image to the album!',
  'calendar_title': 'Calendar Management',
  'calendar_event_all_day': 'All Day',
  'calendar_action_create_event': 'Create Event',
  'calendar_action_update_event': 'Update Event',
  'calendar_action_delete_event': 'Delete Event',
  'calendar_action_calendar': 'Calendar',
  'calendar_action_calendar_create': 'Create Calendar',
  'calendar_action_calendar_update': 'Update Calendar',
  'calendar_action_calendar_delete': 'Delete Calendar',
  'calendar_choose_title': 'Calendar Selection',
  'calendar_type_my': 'My Calendar',
  'calendar_type_unit': 'Organization Calendar',
  'calendar_type_follow': 'Followed Calendars',
  'calendar_event_form_title': 'Title',
  'calendar_event_form_title_hint': 'Enter title',
  'calendar_event_form_calendar': 'Calendar',
  'calendar_event_form_calendar_hint': 'Select calendar',
  'calendar_event_form_start_date': 'Start Date',
  'calendar_event_form_start_time': 'Start Time',
  'calendar_event_form_end_date': 'End Date',
  'calendar_event_form_end_time': 'End Time',
  'calendar_event_form_error_start_bigger_end': 'Start time cannot be later than end time',
  'calendar_event_form_alert': 'Alert',
  'calendar_event_form_repeat': 'Repeat',
  'calendar_event_form_repeat_week_day_empty': 'Please select which day(s) to repeat',
  'calendar_event_form_repeat_end': 'End Date',
  'calendar_event_form_content': 'Event Content',
  'calendar_event_form_content_hint': 'Enter event content',
  'calendar_event_update_single_tip': 'Only modify this event',
  'calendar_event_update_after_tip': 'Modify this event and all future repeating events',
  'calendar_event_update_all_tip': 'Modify all repeating events',
  'calendar_event_delete_single_tip': 'Only delete this event',
  'calendar_event_delete_after_tip': 'Delete this event and all future repeating events',
  'calendar_event_delete_all_tip': 'Delete all repeating events',
  'calendar_event_form_remind_none': 'No Reminder',
  'calendar_event_form_remind_begin': 'At Start Time',
  'calendar_event_form_remind_before_five': '5 Minutes Before',
  'calendar_event_form_remind_before_ten': '10 Minutes Before',
  'calendar_event_form_remind_before_fifteen': '15 Minutes Before',
  'calendar_event_form_remind_before_third': '30 Minutes Before',
  'calendar_event_form_remind_before_one_hour': '1 Hour Before',
  'calendar_event_form_remind_before_two_hour': '2 Hours Before',
  'calendar_event_form_repeat_none': 'Does Not Repeat',
  'calendar_event_form_repeat_day': 'Daily',
  'calendar_event_form_repeat_week': 'Weekly',
  'calendar_event_form_repeat_month': 'Monthly (Same Day)',
  'calendar_event_form_repeat_year': 'Yearly (Same Day)',
  'calendar_edit_form_type': 'Type',
  'calendar_edit_form_type_hint': 'Select calendar type',
  'calendar_edit_form_is_public': 'Is Public',
  'calendar_edit_form_type_person': 'Personal Calendar',
  'calendar_edit_form_type_unit': 'Organization Calendar',
  'calendar_edit_form_target': 'Belongs to Organization',
  'calendar_edit_form_target_not_empty': 'Please select the organization',
  'calendar_edit_form_manageable': 'Managers',
  'calendar_edit_form_viewable': 'Visible to',
  'calendar_edit_form_publicable': 'Can Create Events',
  'calendar_edit_form_summary': 'Summary',
  'calendar_edit_form_summary_hint': 'Enter summary',
  'calendar_delete_confirm': 'Are you sure you want to delete this calendar?',
  'common_handwriting_msg_error_null_data': 'No content, unable to save!',
  'process_task_quick_process': 'Quick processing',
  'process_task_quick_process_empty_list': 'Please select at least one pending data!',
  'process_task_quick_process_submit': 'Continue circulation',
  'process_task_open_work': 'Open to-do list',
  'process_task_quick_process_choose_route': 'Choose Decision',
  'process_task_quick_process_input_opinion': 'Fill in comments',
  'process_task_quick_process_input_opinion_placeholder': 'Please fill in the process feedback here',
  'process_task_quick_process_empty_route': 'Please select a decision route!',
  'process_task_quick_process_submit_error': 'Quick processing has errors, %s submission errors!',
  'process_task_quick_process_handwriting': 'Handwriting',
  'common_app_update_install_go_setting': 'Go set up',
  'common_app_update_back_download_btn': 'Transfer to background download',
  'common_notification_not_enable_confirm': 'Message notifications are not enabled. Do you want to set them to enable?',
  'login_server_title': 'server information',
  'login_server_form_label_host': 'Server access domain name or IP address',
  'login_server_form_label_host_error_msg': 'Server access domain name or IP address cannot be empty!',
  'login_server_form_label_port': 'Server Access Port',
  'login_server_form_label_port_error_msg': 'The server access port cannot be empty and can only be a number!',
  'login_server_form_label_protocol': 'Server Access Protocol',
  'login_server_form_label_url_mapping': 'Proxy address',
  'login_server_form_submit_confirm_msg': 'Are you sure you want to save the following server address information: %s, the app will restart after successful saving?',
  'my_profile_avatar_storage_permission': 'No image storage permission, file storage permission needs to be enabled to continue!',
  'connect_o2_server_fail_confirm_edit': 'Connection to server failed, please check if the current server configuration is correct?',
  'connect_o2_server_fail_go_to_edit': 'Modifying Connection Information',
  'login_server_assets_config_btn': 'Default configuration',
  'login_server_assets_config_title': 'App default configuration',
  'login_server_assets_config_protocol': 'protocol',
  'login_server_assets_config_host': 'address',
  'login_server_assets_config_port': 'port',
  'login_server_assets_config_urlmapping': 'Proxy address',
  'login_server_assets_config_reset_btn': 'Write configuration',
  'splash_connect_fail_ios_waiting': 'Network connection abnormal, please enable app network permissions!',
  'connect_o2_server_fail_refresh': 'retry',
  'common_permission_camera_request_title': 'Camera permission description',
  'common_permission_camera_request_content': 'In order to facilitate your use of camera shooting functions in scenarios such as scanning login, uploading attachments, sending image messages, and changing avatars!',
  'common_permission_location_request_title': 'Location permission description',
  'common_permission_location_request_content': 'In order to facilitate your use of the location check-in function in attendance and other scenarios!',
  'common_permission_microphone_request_title': 'Microphone permission description',
  'common_permission_microphone_request_content': 'In order to facilitate your use of microphone recording function in scenarios such as sending voice messages!',
  'common_permission_storage_request_title': 'Storage Card Permission Description',
  'common_permission_storage_request_content': 'In order to facilitate your use of uploading attachments, sending file messages, and other scenarios, it is necessary to read the storage card file system!',
  'common_session_timeout': 'Login has expired, please log in again!',
  'im_chat_speech_assistant_title': 'Voice Assistant',
  'im_chat_speech_assistant_msg_open_task': 'Okay, we are opening the to-do center for you',
  'im_chat_speech_assistant_msg_open_read': 'Okay, we are opening the pending center for you',
  'im_chat_speech_assistant_msg_open_start_process': 'Okay, we are opening the process initiation tool for you',
  'im_chat_speech_assistant_msg_open_start_level_process': 'Okay, we are currently checking and initiating the process for you',
  'im_chat_speech_assistant_msg_not_found_level_process': 'Process not found!',
  'im_chat_speech_assistant_msg_open_meeting': 'Okay, we are opening meeting management for you',
  'im_chat_speech_assistant_msg_open_attendace': 'Okay, we are opening attendance management for you',
  'im_chat_speech_assistant_msg_open_meeting_create': 'Okay, we are preparing to create a meeting for you',
  'im_chat_speech_assistant_msg_unknown_command': 'Unknown command!',
  'im_chat_speech_assistant_msg_open_app': 'Okay, we are opening it for you %s',
  'account_safe_local_auth': 'Biometric verification',
  'account_safe_local_auth_btn_title': 'Click to perform biometric authentication',
  'account_safe_local_auth_faceid_btn_title': 'Click to perform facial recognition identity verification',
  'account_safe_local_auth_touchid_btn_title': 'Click to perform fingerprint recognition and identity verification',
  'account_safe_local_auth_open_confirm': 'Are you sure to enable facial or fingerprint authentication on your phone before you can access the app‘s features?',
  'account_safe_local_auth_open_app': 'Face or fingerprint authentication is required before entering the app!',
  'account_safe_local_auth_go_to_setting': 'Go to settings',
  'account_safe_local_auth_biometric_required': 'Biometric required',
  'account_safe_local_auth_not_recognized': 'Unrecognized. Try again.',
  'account_safe_local_auth_android_bio_hint': 'Verify identity',
  'account_safe_local_auth_android_bio_sign_in_title': 'Authentication required',
  'account_safe_local_auth_android_description': 'Biometric authentication has not been set up on your device. Prefer "Settings>Security" to add biometric authentication.',
  'account_safe_local_auth_ios_description': 'Biometric authentication has not been set up on your device. Please enable Touch ID or Face ID on your phone.',
  'splash_promotion_skip': 'skip',
  'splash_promotion_enter': 'Enter the APP',
  'account_safe_local_auth_faceid': 'Facial recognition lock',
  'account_safe_local_auth_touchid': 'Fingerprint recognition lock',
  'im_chat_speech_assistant_tips': '- You can use the following command -',
  'common_image_generate_fail': 'Image generation failed!',
  'common_share_success': 'Sharing successful!',
  'close': 'close',
  'account_safe_gesture_unlock_title': 'Gesture password lock',
  'account_safe_gesture_unlock_label_unlock': 'Please enter the gesture password to unlock',
  'account_safe_gesture_unlock_label_setup': 'Please set the gesture password',
  'account_safe_gesture_unlock_label_setup_repeat': 'Set gesture password again',
  'account_safe_gesture_unlock_error_setup_less_than_four': 'Please connect at least 3 or more points',
  'account_safe_gesture_unlock_error_setup_not_match': 'The passwords entered twice are inconsistent',
  'account_safe_gesture_unlock_error_check_pwd': 'Password error, please re-enter',
  'account_safe_gesture_unlock_toast_success': 'Password set successfully!',
  'login_to_register': 'Go register',
  'register': 'register',
  'register_to_login': 'Go log in',
  'register_success_to_login': 'Registration successful, please log in!',
  'login_form_register_user_name': 'user name',
  'login_form_user_password_repeat': 'Confirm password',
  'login_form_user_password_repeat_not_empty': 'Confirm password cannot be empty',
  'login_form_user_password_repeat_not_equals': 'The passwords entered twice are inconsistent',
  'login_form_register_phone': 'mobile phone',
  'login_form_register_phone_not_empty': 'Mobile phone number cannot be empty',
  'login_form_register_email': 'mailbox',
  'attendance_checkin_external_check_error': 'Check failed, unable to clock in!',
  'meeting_detail_applicant': 'Meeting applicant:%s',
  'two_factor_login': 'verification',
  'two_factor_back': 'Return to login',
  'login_auth_failed': 'Authentication failed',
  'contact_picker_choosed': 'Selected:',
  'contact_picker_choosed_person_num': '(%s) Personnel',
  'contact_picker_choosed_unit_num': '(%s) Organization',
  'contact_picker_choosed_group_num': '(%s) Group',
  'contact_picker_choosed_identity_num': '(%s) Identity',
  'contact_picker_choosed_remove': 'remove',
  'contact_picker_search': 'search',
};
