const Map<String, String> es_ES = {
  'hello': 'Hallo 建工建设',
  'appName': '建工建设',
  'copy_right': '@ %s %s All right reserved.',
  'alert': '提示',
  'success': '成功',
  'error': '错误',
  'cancel': '取消',
  'confirm': '确认',
  'connect_o2_server_fail_go_to_sample': '连接服务器失败，请检查当前服务器配置是否正确？',
  'sample_server_name': '服务器',
  'connect_o2_server_fail_confirm_edit': '连接服务器失败，请检查当前服务器配置是否正确？',
  'connect_o2_server_fail_go_to_edit': '修改连接信息',
  'connect_o2_server_fail_refresh': '重试',
  'request_error': '请求错误',
  'args_error': '参数错误',
  'loading': '加载中...',
  'no_more_data': '没有更多数据了！',
  'empty_data': '空空如也！',
  'edit': '编辑',
  'delete': '删除',
  'save': '保存',
  'create': '新建',
  'positive': '确定',
  'open': '打开',
  'close': '关闭',
  'take_photo': '拍照',
  'pick_file': '文件',
  'album': '相册',
  'user_agreement': '用户协议',
  'privacy_policy': '隐私政策',
  'user_agreement_book_mark': '《用户协议》',
  'privacy_policy_book_mark': '《隐私政策》',
  'privacy_policy_dialog_title': '用户协议和隐私政策提示',
  'privacy_policy_dialog_content_part1': '你需要同意',
  'privacy_policy_dialog_content_part2': '和',
  'privacy_policy_dialog_content_part3': '才能使用。如你不同意，很遗憾我们不能为你提供服务。你可以阅读完整版本的，来了解详细信息。',
  'privacy_policy_bind_content_part1': '我已阅读并同意',
  'privacy_policy_bind_disagree_alert': '必须先同意我们的产品服务协议，否则无法注册登录使用本产品!',
  'agree': '同意',
  'disagree': '不同意',
  'deny_root': '当前是Root环境，App禁止使用！',

  // common
  'common_double_click_quit': '再次点击返回键退出应用',
  'common_error_url': '无法打开的地址：%s',
  'common_error_open_other_app': '无法打开对应的地址: %s',
  'common_week_sunday': '周日',
  'common_week_monday': '周一',
  'common_week_tuesday': '周二',
  'common_week_wednesday': '周三',
  'common_week_thursday': '周四',
  'common_week_friday': '周五',
  'common_week_saturday': '周六',
  'common_debugger_open': 'Webview Debugger 模式已开启！',
  'common_debugger_close': 'Webview Debugger 模式已关闭！',
  'common_app_update_chenck': '检查更新',
  'common_app_update_check_switch': '自动检查更新',
  'common_app_update_content_begin': '版本 %s 更新 %s',
  'common_app_update_positive_name': '下载更新',
  'common_app_update_install_permission_confirm': '更新app需要安装未知来源的权限，去设置？',
  'common_app_update_install_go_setting': '去设置',
  'common_app_update_not_today_button': '稍后提醒',
  'common_app_update_download_start_alert': '开始在后台下载 app 更新包，请不要关闭app！',
  'common_app_update_back_download_btn': '转后台下载',
  'common_app_update_no_new_version': '已经是最新版本，无需更新！',
  'common_open_with_default_browser': '默认浏览器打开',
  'common_delete_success': '删除成功！',
  'common_webview_copy_link': '复制链接',
  'common_handwriting_msg_error_null_data': '没有内容, 无法保存！',
  'common_notification_not_enable_confirm': '没有启用消息通知，是否去设置开启？',
  'common_permission_camera_request_title': '摄像头权限说明',
  'common_permission_camera_request_content': '为了便于您使用扫描登录、上传附件、发送图片消息、更换头像等场景中使用摄像头拍摄功能！',
  'common_permission_location_request_title': '位置权限说明',
  'common_permission_location_request_content': '为了便于您使用考勤打卡等场景中使用定位打卡功能！',
  'common_permission_microphone_request_title': '麦克风权限说明',
  'common_permission_microphone_request_content': '为了便于您使用发送语音消息等场景中使用麦克风录音功能！',
  'common_permission_storage_request_title': '存储卡权限说明',
  'common_permission_storage_request_content': '为了便于您使用上传附件、发送文件消息等场景中需要读取存储卡文件系统！',
  'common_session_timeout': '登录已经过期，需要重新登录！',
  'common_image_generate_fail': '图片生成失败！',
  'common_share_success': '分享成功！',
  

  // home
  'home_tab_index': '首页',
  'home_tab_im': '消息',
  'home_tab_contact': '通讯录',
  'home_tab_apps': '应用',
  'home_tab_settings': '设置',

  // splash 页面
  'splash_getReady': '准备中',
  'splash_nobind_go': '没有绑定信息，去绑定！',
  'splash_connecting': '正在连接服务器',
  'splash_connect_fail_ios_waiting': '网络连接异常，请开启 app 网络权限！',
  'splash_connect_fail': '连接服务器失败！',
  'splash_connect_fail_check_config': '连接服务器失败，请检查配置信息！',
  'splash_logining': '正在登录',
  'splash_promotion_skip': '跳过',
  'splash_promotion_enter': '进入 APP',

  // login
  'login': '登录',
  'two_factor_login': '验证',
  'two_factor_back': '返回登录',
  'login_auth_failed': '认证失败',
  'login_to_register': '去注册',
  'register': '注册',
  'register_to_login': '去登录',
  'register_success_to_login': '注册成功，请登录！',
  'login_form_user_name': '用户名或手机号码',
  'login_form_register_user_name': '用户名',
  'login_form_user_name_not_empty': '用户名不能为空',
  'login_form_user_password': '密码',
  'login_form_user_password_not_empty': '密码不能为空',
  'login_form_user_password_repeat': '确认密码',
  'login_form_user_password_repeat_not_empty': '确认密码不能为空',
  'login_form_user_password_repeat_not_equals': '两次输入的密码不一致',
  'login_form_register_phone': '手机',
  'login_form_register_phone_not_empty': '手机号码不能为空',
  'login_form_register_email': '邮箱',
  'login_form_user_code': '验证码',
  'login_form_user_code_not_empty': '验证码不能为空',
  'login_form_code_btn_send': '发送验证码',
  'login_form_change_login_mode_password': '密码登录',
  'login_form_change_login_mode_code': '验证码登录',
  'login_form_rebind': '重新绑定',
  'login_form_rebind_confirm_message': '确定要重新绑定手机号码吗？',
  'login_form_demo_get_demo_accounts': '点击获取体验账号密码',
  'login_form_demo_choose_demo_server': '选择访问环境',
  'login_form_demo_no_server_list': '体验环境服务器列表为空！',
  'login_form_demo_no_account_list': '无法获取到体验账号，您可以去官方网站咨询获取！',
  'login_server_title': '服务器信息',
  'login_server_form_label_host': '服务器访问域名或IP地址',
  'login_server_form_label_host_error_msg': '服务器访问域名或IP地址不能为空！',
  'login_server_form_label_port': '服务器访问端口',
  'login_server_form_label_port_error_msg': '服务器访问端口不能为空，并且只能是数字！',
  'login_server_form_label_protocol': '服务器访问协议',
  'login_server_form_label_url_mapping': '代理地址',
  'login_server_form_submit_confirm_msg': '确定要保存如下服务器地址信息：%s  ，保存成功后会重启 APP?',
  'login_server_assets_config_btn': '默认配置',
  'login_server_assets_config_title': 'App默认配置',
  'login_server_assets_config_protocol': '协议',
  'login_server_assets_config_host': '地址',
  'login_server_assets_config_port': '端口',
  'login_server_assets_config_urlmapping': '代理地址',
  'login_server_assets_config_reset_btn': '写入配置',

  // bind
  'bind': '绑定',
  'bind_validate_mobile_phone': '验证手机',
  'bind_choose_unit': '选择绑定的组织',
  'bind_enter_mobile_phone': '请输入手机号码',
  'bind_mobile_phone_not_empty': '手机号码不能为空',
  'bind_enter_validate_code': '验证码',
  'bind_validate_code_not_empty': '验证码不能为空',
  'bind_privacy': '隐私政策',
  'bind_next_step': '下一步',
  'bind_mobile_error_message': '请输入正确的手机号码！',
  'bind_send_code_success': '发送验证码成功，请注意查收!',
  'bind_send_code_fail': '发送短信失败!',
  'bind_code_error_message': '请输入正确的验证码!',
  'bind_deviceId_error_message': '没有获取到设备ID，请确认是否开启设备权限!',
  'bind_phone_no_bind_message': '当前手机号码没有找到绑定的服务器!',
  'bind_no_device_message': '没有获取到当前设备号，无法绑定!',
  'bind_loading': '绑定中...',

  // 404
  'notfound_message': '路由没有找到',
  'notfound_back_home': '返回首页',
  // settings
  'settings_account_safe': '账号与安全',
  'settings_skin_change': '外观',
  'settings_notification': '消息通知',
  'settings_clear_cache': '清除缓存',
  'settings_common': '通用',
  'settings_common_change_language': '切换语言',
  'settings_logs': '诊断日志',
  'settings_about': '关于',
  'settings_logout': '退出登录',
  'settings_logout_confirm_message': '确定要退出登录吗？',

  'settings_clear_cache_clear_success': '清除缓存成功！',
  'settings_clear_cache_clear_confirm_msg': '检测到缓存大小为 %s，是否立即清除？',

  'settings_skin_with_system': '跟随系统外观',
  'settings_skin_light': '浅色',
  'settings_skin_dark': '深色',
  'settings_skin_color_blue': '蓝色',
  'settings_skin_color_red': '红色',
  'settings_skin_color_orange': '水果橙',
  'settings_skin_color_green': '青草绿',
  'settings_skin_color_cyan': '碧水青',
  'settings_skin_color_purple': '魅力紫',
  'settings_skin_color_darkgreen': '墨绿',
  'settings_skin_color_tan': '棕色',
  'settings_skin_color_navy': '藏青',
  'settings_skin_color_gray': '沉稳灰',
  'settings_about_version': '版本号 %s',

  // my profile
  'my_profile_title': '我的信息',
  'my_profile_email': '邮件地址',
  'my_profile_avatar': '头像',
  'my_profile_name': '姓名',
  'my_profile_unique': '唯一编码',
  'my_profile_employee': '工号',
  'my_profile_superiorName': '汇报对象',
  'my_profile_mobile': '手机号码',
  'my_profile_office_phone': '办公电话',
  'my_profile_signature': '个性签名',

  'my_profile_avatar_edit': '头像裁剪',
  'my_profile_avatar_not_desktop': '暂不支持桌面端修改头像',
  'my_profile_avatar_storage_permission': '没有图片存储权限，需要开启文件存储权限才能继续！',

  'edit_avatar_no_file': '图片未加载',
  'input_form_placeholder': '请输入%s',

  // account_safe
  'account_safe_server_name': '服务器地址',
  'account_safe_login_name': '登录账号',
  'account_safe_login_pwd_label': '登录密码',
  'account_safe_login_pwd_update': '修改密码',
  'account_safe_mobile_change': '变更手机号码',
  'account_safe_old_pwd': '旧密码',
  'account_safe_old_pwd_not_empty': '旧密码不能为空！',
  'account_safe_new_pwd': '新密码',
  'account_safe_new_pwd_not_empty': '新密码不能为空！',
  'account_safe_new_pwd_repeat': '确认新密码',
  'account_safe_new_pwd_repeat_not_empty': '确认新密码不能为空！',
  'account_safe_new_pwd_repeat_not_equal': '两次输入新密码不一致！',
  'account_safe_update_pwd_success': '更新成功！',
  'account_safe_empower': '外出授权',
  'account_safe_empower_create': '创建外出授权',
  'account_safe_empower_my': '我的委托',
  'account_safe_empower_to_me': '收到的委托',
  'account_safe_empower_type_all': '全部',
  'account_safe_empower_type_app': '应用',
  'account_safe_empower_type_process': '流程',
  'account_safe_empower_form_to_person': '委托人',
  'account_safe_empower_form_start_time': '开始时间',
  'account_safe_empower_form_end_time': '结束时间',
  'account_safe_empower_form_empty_identity': '请选择当前需要委托的身份！',
  'account_safe_empower_form_empty_to_person': '请选择委托人！',
  'account_safe_empower_form_empty_start_time': '请选择开始时间！',
  'account_safe_empower_form_empty_end_time': '请选择结束时间！',
  'account_safe_empower_form_start_end_time_over': '开始时间不能大于结束时间！',
  'account_safe_empower_form_empty_app': '请选择委托的应用！',
  'account_safe_empower_form_empty_process': '请选择委托的流程！',
  'account_safe_empower_delete_confirm_message': '确定要删除这条委托信息？',
  'account_safe_local_auth': '生物识别锁',
  'account_safe_local_auth_faceid': '人脸识别锁',
  'account_safe_local_auth_touchid': '指纹识别锁',
  'account_safe_local_auth_btn_title': '点击进行生物识别身份验证',
  'account_safe_local_auth_faceid_btn_title': '点击进行人脸识别身份验证',
  'account_safe_local_auth_touchid_btn_title': '点击进行指纹识别身份验证',
  'account_safe_local_auth_open_confirm': '确认开启手机人脸或指纹认证后才能进入app的功能？',
  'account_safe_local_auth_open_app': '需要进行人脸或指纹认证后才能进入app！',
  'account_safe_local_auth_go_to_setting': '去设置',
  'account_safe_local_auth_biometric_required': '需要生物识别验证',
  'account_safe_local_auth_not_recognized': '未识别。再试一次。',
  'account_safe_local_auth_android_bio_hint': '验证身份',
  'account_safe_local_auth_android_bio_sign_in_title': '需要身份验证',
  'account_safe_local_auth_android_description': '未在您的设备上设置生物识别身份验证。首选“‘设置>安全性’以添加生物识别身份验证。',
  'account_safe_local_auth_ios_description': '未在您的设备上设置生物识别身份验证。请启用手机上的Touch ID或Face ID。',
  'account_safe_gesture_unlock_title': '手势密码锁',
  'account_safe_gesture_unlock_label_unlock': '请输入手势密码解锁',
  'account_safe_gesture_unlock_label_setup': '请设置手势密码',
  'account_safe_gesture_unlock_label_setup_repeat': '再设置一次手势密码',
  'account_safe_gesture_unlock_error_setup_less_than_four': '请至少连接 3 个及以上的点',
  'account_safe_gesture_unlock_error_setup_not_match': '两次输入的密码不一致',
  'account_safe_gesture_unlock_error_check_pwd': '密码错误，请重新输入',
  'account_safe_gesture_unlock_toast_success': '密码设置成功！',

  // process
  'process_work_download_file_no_path': '异常，无法请求附件！',
  'process_work_download_get_attachmentinfo_fail': '附件对象请求失败！',
  'process_work_no_title': '%s-无标题',
  'process_work_no_title_no_process': '无标题',
  'process_work_completed_tag': '已完成',
  'process_picker_title': '选择流程',
  'process_picker_app_no_categroy': '未分类',
  'process_create_title': '启动流程',
  'process_create_work_no_args': '参数不正确，无法启动流程！',
  'process_office_center_search_placeholder': '请输入关键字！',
  'process_taskcompleted_detail_title': '已办详情:',
  'process_read_detail_title': '待阅详情:',
  'process_readcompleted_detail_title': '已阅详情:',
  'process_work_go_to_activity': '文件流转至: 【%s】',
  'process_job_not_found': '没有找到对应的工作！',
  'process_no_identity': '没有身份信息！',
  'process_attachment_upload_error': '上传附件有错误，%s 个附件上传失败！',
  'process_task_quick_process': '快速处理',
  'process_task_quick_process_empty_list': '请至少选择一条待办数据！',
  'process_task_quick_process_submit': '继续流转',
  'process_task_open_work': '打开待办',
  'process_task_quick_process_choose_route': '选择决策',
  'process_task_quick_process_input_opinion': '填写意见',
  'process_task_quick_process_input_opinion_placeholder': '请在此处填写流程意见',
  'process_task_quick_process_empty_route': '请选择决策路由！',
  'process_task_quick_process_submit_error': '快速处理有错误，%s 个提交错误！',
  'process_task_quick_process_handwriting': '手写',


  // preview file
  'preview_file_title': '文件预览',
  'preview_file_path_not_empty': '文件路径不能为空！',
  'preview_file_file_name_not_empty': '文件名称不能为空！',
  'preview_file_not_support_file_type': '当前文件不支持预览！',

  'preview_image_title': '图片预览',
  //scan
  'scan_no_camera_permission': '没有开启摄像头权限，请去应用设置中开启后再试！',
  'scan_result_empty': '没有扫描到任何东西！',
  'scan_login_to_pc': '扫码登录',
  'scan_login_to_pc_msg': '即将在电脑上登录',
  'scan_login_to_pc_confirm': '确认登录',
  'scan_login_to_pc_alert_msg': '登录成功！',
  'scan_meeting_check_alert_msg': '会议签到成功！',

  // default Index
  'home_index_search_placeholder': '请输入搜索关键字',
  'home_index_cms_center': '信息中心',
  'home_index_task_center': '办公中心',
  'home_index_more_apps': '更多',
  // search
  'search_delete_all_history': '删除全部历史记录',

  // im
  'im_time_minute_before': '分钟前',
  'im_time_hour_before': '小时前',
  'im_time_days_before': '天前',
  'im_time_one_month_before': '一个月前',
  'im_time_two_month_before': '2个月前',
  'im_time_yesterday': '昨天',
  'im_time_before_yesterday': '前天',
  'im_time_three_days_ago': '大前天',

  'im_instant_msg_title': '通知消息',
  'im_instant_msg_detail_btn_title': '详情',
  'im_instant_msg_empty': '没有通知消息',

  'im_start_single': '发起聊天',
  'im_action_single': '发起单聊',
  'im_action_group': '发起群聊',

  'im_chat_input_hint': '请输入消息...',
  'im_chat_tools_album': '相册',
  'im_chat_tools_take_photo': '拍摄',
  'im_chat_tools_file': '文件',
  'im_chat_tools_location': '位置',
  'im_chat_tools_voice': '按住说话',

  'im_chat_action_menu_report': '举报',
  'im_chat_action_menu_show_group_info': '群信息',
  'im_chat_action_menu_update_group_title': '修改群名',
  'im_chat_action_menu_update_group_title_hint': '请输入群名',
  'im_chat_action_menu_update_group_members': '修改成员',
  'im_chat_action_menu_clear_all_message': '清除聊天记录',
  'im_chat_action_menu_delete_conversation': '删除会话',
  'im_chat_confirm_clear_all_message': '确认要清除当前群所有的聊天消息吗？',
  'im_chat_action_menu_report_form_reason': '举报理由',
  'im_chat_action_menu_report_form_desc': '详情描述',

  'im_chat_menu_revoke': '撤回',
  'im_chat_menu_revoke_members': '撤回成员消息',
  'im_chat_menu_copy': '复制',

  'im_chat_group_member_title': '管理成员',
  'im_chat_group_member_add': '添加',
  'im_chat_group_info_title': '群信息',
  'im_chat_group_info_label_name': '群名: ',
  'im_chat_group_info_label_admin': '群管理员: ',
  'im_chat_group_info_label_member': '群成员: ',

  'im_chat_error_unknown_file': '错误，无效文件！',
  'im_chat_error_download_file': '错误，下载文件失败！',
  'im_chat_error_upload_fail': '上传文件失败！',
  'im_chat_error_preview_file_fail': '无法预览文件，系统异常！',
  'im_chat_error_need_record_permission': '需要开启录音权限才能继续操作！',
  'im_chat_error_record_not_init': '录音初始化未完成，无法录音！',
  'im_chat_error_record_time_too_short': '录音时间太少！',
  'im_chat_error_revoke': '撤回失败！',
  'im_chat_success_copy': '复制成功！',
  'im_chat_success_revoke': '撤回成功！',
  'im_chat_error_update_group_title_not_empty': '群名不能为空！',
  'im_chat_success_update_group_title': '更新群名成功！',
  'im_chat_success_update_group_members': '更新成员成功！',
  'im_chat_success_clear_all_messages': '清除聊天消息成功！',
  'im_chat_error_conversation_delete': '当前会话已删除！',
  'im_chat_confirm_delete_single_conversation': '确定要删除当前会话吗，删除后将看不到以前的聊天记录？',
	'im_chat_confirm_delete_group_conversation': '确定要删除当前会话吗，这会解散当前群聊并删除聊天记录？',

  'im_msg_download_success': '下载完成，请到系统【下载】目录查看文件！',
  'im_msg_create_conversation_not_with_self': '不能和自己创建会话！',
  'im_chat_msg_type_emoji': '[表情]',
  'im_chat_msg_type_image': '[图片]',
  'im_chat_msg_type_audio': '[音频]',
  'im_chat_msg_type_location': '[位置]',
  'im_chat_msg_type_file': '[文件]',
  'im_chat_msg_type_process': '[流程工作]',
  'im_chat_msg_type_cms': '[信息文章]',

  'im_chat_speech_assistant_title': '语音助手',
  'im_chat_speech_assistant_tips': '- 您可以使用以下命令 -',
  'im_chat_speech_assistant_msg_open_app': '好的，正在为您打开 %s',
  'im_chat_speech_assistant_msg_open_task': '好的，正在为您打开待办中心...',
  'im_chat_speech_assistant_msg_open_read': '好的，正在为您打开待阅中心...',
  'im_chat_speech_assistant_msg_open_start_process': '好的，正在为您打开流程启动工具...',
  'im_chat_speech_assistant_msg_open_start_level_process': '好的，正在为您查询并发起流程...',
  'im_chat_speech_assistant_msg_not_found_level_process': '未找到流程！',
  'im_chat_speech_assistant_msg_open_meeting': '好的，正在为您打开会议管理...',
  'im_chat_speech_assistant_msg_open_attendace': '好的，正在为您打开考勤管理...',
  'im_chat_speech_assistant_msg_open_meeting_create': '好的，正在为您准备创建会议...',
  'im_chat_speech_assistant_msg_unknown_command': '未知的命令！',

  'bmap_title': '位置',
  'bmap_title_choose': '点击地图选择位置',
  'bmap_error_no_location': '没有传入位置信息，无法打开',
  'bmap_error_not_choose_location_yet': '没有选择位置信息，请先点击地图选择！',
  'bmap_send_location_btn': '发送',
  'bmap_open_location_btn': '打开',
  'bmap_open_menu_amap': '高德地图',
  'bmap_open_menu_bmap': '百度地图',
  'bmap_open_menu_tmap': '腾讯地图',
  'bmap_open_menu_iosmap': '地图',
  'bmap_open_amap_nofound': '未检测到高德地图！',
  'bmap_open_tmap_nofound': '未检测到腾讯地图！',
  'bmap_open_bmap_nofound': '未检测到百度地图！',
  'bmap_open_iosmap_nofound': '地图打开失败！',

  // contact
  'contact_picker_title': '选择器',
  'contact_picker_group': '群组选择',
  'contact_picker_org': '组织选择',
  'contact_picker_person': '人员选择',
  'contact_picker_identity': '身份选择',
  'contact_picker_btn_title_choose': '选择',
  'contact_picker_btn_title_next_level': '进入下级',
  'contact_picker_msg_more_than_max': '超过最大个数限制',
  'contact_picker_identity_title': '请选择您的身份',
  'contact_picker_identity_org_title': '组织',
  'contact_picker_identity_duty_title': '职务',
  'contact_picker_choosed': '已选择：',
  'contact_picker_choosed_person_num': '(%s)人员',
  'contact_picker_choosed_unit_num': '(%s)组织',
  'contact_picker_choosed_group_num': '(%s)群组',
  'contact_picker_choosed_identity_num': '(%s)身份',
  'contact_picker_choosed_remove': '移除',
  'contact_picker_search': '搜索',

  'contact_structure': '组织架构',
  'contact_my_department': '我的部门',
  'contact_no_permission': '没有权限！',
  'contact_person_search_placeholder': '请输入姓名或拼音进行搜索',
  'contact_person_info': '个人信息',
  'contact_person_info_dept_name': '部门',

  // app
  'app_name_task': '待办',
  'app_name_taskcompleted': '已办',
  'app_name_read': '待阅',
  'app_name_readcompleted': '已阅',
  'app_name_meeting': '会议管理',
  'app_name_yunpan': '企业网盘',
  'app_name_bbs': '企业论坛',
  'app_name_cms': '信息中心',
  'app_name_attendance': '考勤打卡',
  'app_name_attendance_old': '旧版打卡',
  'app_name_calendar': '日程安排',
  'app_name_mindMap': '脑图',

  'app_type_native': '原生应用',
  'app_type_portal': '门户应用',
  'app_type_my': '主页应用',

  'app_msg_my_app_more': '当前主页应用最多存放4个！',

  // attendance
  'attendance_to_old': '进入旧版',
  'attendance_request_error': '请求异常，请确认服务已经安装新考勤！',
  'attendance_tab_checkin': '打卡',
  'attendance_tab_statistic': '统计',
  'attendance_tab_settings': '设置',
  'attendance_location_loading': '定位中...',
  'attendance_location_permission_not_allow': '定位权限未开启，请先去设置中开启！',
  'attendance_record_check_time': '已打卡',
  'attendance_update_check_time': '更新打卡',
  'attendance_update_confirm_content': '确定要更新这条打卡记录？',
  'attendance_uncheckin': '待打卡',
  'attendance_offDuty': '下班打卡',
  'attendance_onDuty': '上班打卡',
  'attendance_result_Normal': '正常',
  'attendance_result_Early': '早退',
  'attendance_result_Late': '迟到',
  'attendance_result_SeriousLate': '严重迟到',
  'attendance_result_Absenteeism': '旷工迟到',
  'attendance_result_NotSigned': '缺卡',
  'attendance_result_PreCheckIn': ' ',
  'attendance_result_fieldWork': '外勤打卡',
  'attendance_outside_need_desc': '外勤打卡，必须填写说明！',
  'attendance_checkin_need_location': '没有获取到你的位置信息，请确认是否开启定位功能！',
  'attendance_checkin_type_empty': '打开出错，没有获得打卡类型！',
  'attendance_checkin_external_check_error': '检查未通过，无法打卡！',
  'attendance_checkin_outside_dialog_title': '当前不在打卡范围内，你确定要进行外勤打卡吗？',
  'attendance_checkin_outside_not_allow': '不允许外勤打卡',
  'attendance_checkin_outside_dialog_hint': '请输入外勤打卡说明',
  'attendance_checkin_limit_time_error': '当前时间不在可打卡范围内[ %s - %s ]',
  'attendance_checkin_not_in_workplace_error': '未进入打卡点范围内！',
  'attendance_statistic_exception_data': '异常打卡数据',
  'attendance_statistic_averageWorkTimeDuration': '平均工时',
  'attendance_statistic_attendance': '出勤天数',
  'attendance_statistic_rest': '休息天数',
  'attendance_statistic_leaveDays': '请假天数',
  'attendance_statistic_absenteeismDays': '旷工天数',
  'attendance_statistic_lateTimes': '迟到次数',
  'attendance_statistic_leaveEarlierTimes': '早退次数',
  'attendance_statistic_absenceTimes': '缺卡次数',
  'attendance_statistic_fieldWorkTimes': '外勤次数',
  'attendance_statistic_month': '%s 月',
  'attendance_exception_data_title': '考勤异常数据',
  'attendance_appeal_status_init': '待处理',
  'attendance_appeal_status_processing': '流转中',
  'attendance_appeal_status_agree': '审批通过',
  'attendance_appeal_status_disAgree': '审批不通过',
  'attendance_appeal_status_admin': '已处理',
  'attendance_appeal_start_process': '发起申诉',
  'attendance_appeal_start_process_content': '%s ,确定要对这条数据发起申诉？',
  'attendance_appeal_open_job': '查看流程',
  'attendance_appeal_reset_status_msg': '没有找到对应的流程数据，是否还原当前数据的状态？',
  'attendance_fast_checkin_notify_title': '考勤通知',
  'attendance_fast_checkin_notify_content': '%s 极速打卡成功',

  // cms
  'cms_document_title': '文档',
  'cms_app_no_description': '未定义描述',
  'cms_document_publish': '发布',
  'cms_app_category_number': '分类: %s',
  'cms_category_picker_title': '选择分类',
  'cms_create_document_title': '新建文档',
  'cms_create_document_title_label': '文档标题',
  'cms_create_document_no_args': '参数不正确，无法创建文档！',
  'cms_create_document_title_not_empty': '标题不能为空！',
  'cms_create_document_identity_not_empty': '请先选择身份！',
  'cms_app_error': '应用数据不存在！',
  'cms_document_edit_open': '可编辑',

  // bbs
  'bbs_subject_view': '主题',
  'bbs_subject_publish': '发帖',
  'bbs_subject_write_comments': '写回复',
  'bbs_subject_number': '主题: %s',
  'bbs_subject_reply_title': '回复',
  'bbs_subject_reply_send': '发送',
  'bbs_subject_reply_hint': '请输入回复内容',
  'bbs_subject_reply_parent_hint': '回复 %s :',
  'bbs_subject_reply_image_loading': '请稍后发送，图片正在上传中！',
  'bbs_subject_publish_send': '发表帖子',
  'bbs_subject_publish_title_label': '标题',
  'bbs_subject_publish_title_not_empty': '请输入帖子标题！',
  'bbs_subject_publish_summary_label': '摘要',
  'bbs_subject_publish_content_label': '内容',
  'bbs_subject_publish_content_not_empty': '请输入帖子内容！',
  'bbs_subject_publish_anonymous_label': '匿名发帖',
  'bbs_subject_publish_success': '发帖成功！',
  'bbs_subject_delete_confirm': '确定要删除这个帖子吗？',
  


  // mindmap
  'mindmap_link': '链接',
  'mindmap_link_address': '链接地址',
  'mindmap_link_address_hint': '必填: 以 http(s):// 或 ftp(s):// 开头',
  'mindmap_link_address_not_empty': '链接地址不能为空！',
  'mindmap_link_address_error': '链接地址格式不正确！',
  'mindmap_link_note': '链接文本',
  'mindmap_link_note_hint': '选填',
  'mindmap_root_folder': '根目录',
  'mindmap_create_btn_name': '新建',
  'mindmap_msg_name_not_empty': '目录名称不能为空！',
  'mindmap_msg_have_sub_folder': '无法删除，请先删除当前目录的子目录和文件！',
  'mindmap_msg_have_map_in_folder': '无法删除，请先删除当前目录下的所有文件！',
  'mindmap_msg_confirm_delete_folder': '确定要删除这个目录？',
  'mindmap_msg_map_name_not_empty': '脑图名称不能为空！',
  'mindmap_msg_map_save_success': '保存成功！',
  'mindmap_msg_error_load_map_data': '获取脑图数据异常！',
  'mindmap_msg_error_no_id': 'id不存在无法加载数据！',
  'mindmap_msg_error_null_data': '数据为空, 无法保存！',
  'mindmap_msg_enter_map_name': '请输入脑图名称!',
  'mindmap_msg_enter_folder_name': '请输入目录名称!',
  'mindmap_msg_confirm_delete_map_node': '确定要删除当前节点，会同时删除它的所有下级节点？',
  'mindmap_rename_map': '重命名脑图',
  'mindmap_name_label': '名称',
  'mindmap_map_name_label': '脑图名称',
  'mindmap_msg_confirm_delete_map': '确定要删除这个脑图，名称: 【%s】？',
  'mindmap_msg_create_under_foler': '在【%s】下新建目录',
  'mindmap_msg_create_map_under_foler': '在【%s】下新建脑图',
  'mindmap_delete_btn_name': '删除',
  'mindmap_rename_btn_name': '重命名',
  'mindmap_create_map': '新建脑图',
  'mindmap_create_folder': '新建目录',
  'mindmap_bottom_btn_sub_node': '下级',
  'mindmap_bottom_btn_sibling_node': '同级',
  'mindmap_bottom_btn_img_tag': '图标',
  'mindmap_bottom_btn_img_tag_priority': '优先级: ',
  'mindmap_bottom_btn_img_tag_progress': '进度: ',
  'mindmap_bottom_btn_image': '图片',
  'mindmap_bottom_btn_hyperlink': '超链接',
  'mindmap_bottom_btn_delete_image': '删除图片',

  // meeting
  'meeting_accept_list': '会议邀请',
  'meeting_week_view': '周视图',
  'meeting_month_view': '月视图',
  'meeting_status_wait': '已预约',
  'meeting_status_wait_accept': '会议邀请',
  'meeting_status_processing': '会议中',
  'meeting_status_completed': '已结束',
  'meeting_member_label': '参加人: %s',
  'meeting_menu_edit_label': '修改会议',
  'meeting_menu_delete_label': '删除会议',
  'meeting_menu_invited_accept_label': '接受邀请',
  'meeting_menu_invited_reject_label': '拒绝邀请',
  'meeting_menu_view_label': '会议详情',
  'meeting_menu_apply_label': '申请会议',

  'meeting_detail_title_label': '会议标题',
  'meeting_detail_title_hint': '请输入会议标题',
  'meeting_detail_date_label': '日期',
  'meeting_detail_time_label': '会议时间',
  'meeting_detail_room_label': '会议室',
  'meeting_detail_type_label': '会议类型',
  'meeting_detail_host_label': '主持人',
  'meeting_detail_host_unit_label': '承办部门',
  'meeting_detail_mode_label': '会议方式',
  'meeting_detail_mode_online': '线上会议',
  'meeting_detail_mode_offline': '线下会议',
  'meeting_detail_online_link_label': '会议链接',
  'meeting_detail_online_room_label': '会议号',
  'meeting_detail_describe_label': '会议说明',
  'meeting_detail_describe_hint': '请输入会议说明',
  'meeting_detail_member_label': '参会人员',
  'meeting_detail_attachment_label': '会议材料',
  'meeting_detail_pick_start_time_hint': '请选择会议开始时间！',
  'meeting_detail_pick_complete_time_hint': '请选择会议结束时间！',
  'meeting_detail_time_smaller_error': '会议结束时间不能小于开始时间！',
  'meeting_detail_null_object_error': '会议对象不存在！',
  

  'meeting_room_status_idle': '空闲',
  'meeting_room_status_busy': '已预约',
  'meeting_room_status_disable': '关闭',
  'meeting_room_floor_label': '楼层: %s',
  'meeting_room_room_number_label': '房间: %s',
  'meeting_room_capacity_label': '容纳人数: %s',
  'meeting_detail_applicant': '会议申请人: %s',
  'meeting_room_device_label': '会议室设备: ',
  'meeting_room_not_be_choose': '会议室被占用或未启用，请选择其他会议室或时间段！',

  'meeting_form_subject_not_empty': '会议标题不能为空！',
  'meeting_form_time_not_empty': '会议开始、结束时间不能为空！',
  'meeting_form_online_link_hint': '请输入会议链接！',
  'meeting_form_online_room_hint': '请输入会议号！',
  'meeting_form_room_not_empty': '请先选择会议室！',
  'meeting_form_member_not_empty': '请先选择参会人员！',
  'meeting_form_confirm_save_meeting_before_upload': '上传会议材料需要先保存会议信息！',
  'meeting_form_confirm_ok_text': '确定保存',

  // 网盘
  'cloud_disk_type_image': '图片',
  'cloud_disk_type_document': '文档',
  'cloud_disk_type_music': '音乐',
  'cloud_disk_type_video': '视频',
  'cloud_disk_type_other': '其它',
  'cloud_disk_share': '分享',
  'cloud_disk_breadcrumb_all': '全部',
  'cloud_disk_buttons_rename': '重命名',
  'cloud_disk_buttons_delete': '删除',
  'cloud_disk_buttons_move': '移动',
  'cloud_disk_buttons_share': '分享',
  'cloud_disk_rename_not_empty': '重命名必须输入名称！',
  'cloud_disk_delete_confirm': '确定要删除这些选中的文件？',
  'cloud_disk_folder_picker_title': '选择文件夹',
  'cloud_disk_folder_picker_top': '点击选择顶层',
  'cloud_disk_folder_picker_empty': '请选择勾选一个文件夹',
  'cloud_disk_action_create_folder': '创建文件夹',
  'cloud_disk_create_folder_not_empty_name': '请输入文件夹名称',
  'cloud_disk_action_upload_file': '上传文件',
  'cloud_disk_download_file_no_path': '异常，无法请求下载文件！',
  'cloud_disk_share_type_to_me': '分享给我',
  'cloud_disk_share_type_my_share': '我的分享',
  'cloud_disk_share_action_save_to_pan': '保存到网盘',
  'cloud_disk_share_action_shield': '屏蔽',
  'cloud_disk_share_action_cancel_share': '取消分享',
  'cloud_disk_v3_my_file': '我的文件',
  'cloud_disk_v3_enterprise_file': '企业文件',
  'cloud_disk_v3_personal_zone': '个人文件',
  'cloud_disk_v3_inner_zone': '共享工作区',
  'cloud_disk_v3_my_favorite': '我的收藏',
  'cloud_disk_v3_zone_create': '创建工作区',
  'cloud_disk_v3_zone_create_name': '工作区名称',
  'cloud_disk_v3_zone_create_name_hint': '请输入工作区名称',
  'cloud_disk_v3_zone_create_desc': '工作区简介',
  'cloud_disk_v3_zone_create_desc_hint': '请输入工作区简介',
  'cloud_disk_v3_action_favorite_cancel': '取消收藏',
  'cloud_disk_v3_action_favorite_add': '加入收藏',
  'cloud_disk_v3_action_zone_edit': '编辑工作区',
  'cloud_disk_v3_action_zone_delete': '删除工作区',
  'cloud_disk_v3_zone_delete_confirm': '确认要删除工作区【%s】?',
  'cloud_disk_v3_favorite_delete_confirm': '确认要取消收藏【%s】?',
  'cloud_disk_upload_title': '上传进度',
  'cloud_disk_upload_start_msg': '文件上传已经开始，完成后会刷新列表，可在右上角【上传进度】中查看！',
  'cloud_disk_upload_completed': '完成',
  'cloud_disk_save_image_album_btn_title': '保存到相册',
  'cloud_disk_save_image_album_success': '保存图片到相册成功！',

  // 日程
  'calendar_title': '日程管理',
  'calendar_event_all_day': '全天',
  'calendar_action_create_event': '新建日程',
  'calendar_action_update_event': '更新日程',
  'calendar_action_delete_event': '删除日程',
  'calendar_action_calendar': '日历',
  'calendar_action_calendar_create': '新建日历',
  'calendar_action_calendar_update': '更新日历',
  'calendar_action_calendar_delete': '删除日历',
  'calendar_choose_title': '日历选择',
  'calendar_type_my': '我的日历',
  'calendar_type_unit': '组织日历',
  'calendar_type_follow': '关注的日历',
  'calendar_event_form_title': '标题',
  'calendar_event_form_title_hint': '请输入标题',
  'calendar_event_form_calendar': '日历',
  'calendar_event_form_calendar_hint': '请选择日历',
  'calendar_event_form_start_date': '开始日期',
  'calendar_event_form_start_time': '开始时间',
  'calendar_event_form_end_date': '结束日期',
  'calendar_event_form_end_time': '结束时间',
  'calendar_event_form_error_start_bigger_end': '开始时间不能大于结束时间',
  'calendar_event_form_alert': '提醒',
  'calendar_event_form_repeat': '重复',
  'calendar_event_form_repeat_week_day_empty': '请选择每周几重复',
  'calendar_event_form_repeat_end': '截止日期',
  'calendar_event_form_content': '日程内容',
  'calendar_event_form_content_hint': '请输入日程内容',
  'calendar_event_update_single_tip': '只修改当前日程',
  'calendar_event_update_after_tip': '修改当前日程和之后的此重复日程',
  'calendar_event_update_all_tip': '修改所有此重复日程',
  'calendar_event_delete_single_tip': '只删除当前日程',
  'calendar_event_delete_after_tip': '删除当前日程和之后的此重复日程',
  'calendar_event_delete_all_tip': '删除所有此重复日程',

  'calendar_event_form_remind_none': '不提醒',
  'calendar_event_form_remind_begin': '开始时',
  'calendar_event_form_remind_before_five': '提前5分钟',
  'calendar_event_form_remind_before_ten': '提前10分钟',
  'calendar_event_form_remind_before_fifteen': '提前15分钟',
  'calendar_event_form_remind_before_third': '提前30分钟',
  'calendar_event_form_remind_before_one_hour': '提前1小时',
  'calendar_event_form_remind_before_two_hour': '提前2小时',

  'calendar_event_form_repeat_none': '不重复',
  'calendar_event_form_repeat_day': '每天',
  'calendar_event_form_repeat_week': '每周',
  'calendar_event_form_repeat_month': '每月（当日）',
  'calendar_event_form_repeat_year': '每年（当日）',

  'calendar_edit_form_type': '类型',
  'calendar_edit_form_type_hint': '请选择日历类型',
  'calendar_edit_form_is_public': ' 是否公开',
  'calendar_edit_form_type_person': '个人日历',
  'calendar_edit_form_type_unit': '组织日历',
  'calendar_edit_form_target': '所属组织',
  'calendar_edit_form_target_not_empty': '请选择所属组织',
  'calendar_edit_form_manageable': '管理者',
  'calendar_edit_form_viewable': '可见范围',
  'calendar_edit_form_publicable': '可新建范围',
  'calendar_edit_form_summary': '备注',
  'calendar_edit_form_summary_hint': '请输入备注',
  'calendar_delete_confirm': '确认要删除这个日历？',
};
